org.apache.synapse.commons.staxon.core.base

## Class AbstractXMLInputFactory

- java.lang.Object
- - javax.xml.stream.XMLInputFactory
  - - org.apache.synapse.commons.staxon.core.base.AbstractXMLInputFactory

- Direct Known Subclasses:
    JsonXMLInputFactory

      public abstract class AbstractXMLInputFactory
      extends XMLInputFactory

  Abstract XML input factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLInputFactory

      `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLInputFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLStreamReader` | `createFilteredReader(XMLStreamReader reader, StreamFilter filter)`
    `XMLEventReader` | `createXMLEventReader(InputStream stream)`
    `XMLEventReader` | `createXMLEventReader(InputStream stream, String encoding)`
    `XMLEventReader` | `createXMLEventReader(Reader reader)`
    `XMLEventReader` | `createXMLEventReader(Source source)`
    `XMLEventReader` | `createXMLEventReader(String systemId, InputStream stream)`
    `XMLEventReader` | `createXMLEventReader(String systemId, Reader reader)`
    `XMLStreamReader` | `createXMLStreamReader(Source source)`
    `XMLEventAllocator` | `getEventAllocator()`
    `Object` | `getProperty(String name)`
    `XMLReporter` | `getXMLReporter()`
    `XMLResolver` | `getXMLResolver()`
    `boolean` | `isPropertySupported(String name)`
    `void` | `setEventAllocator(XMLEventAllocator allocator)`
    `void` | `setProperty(String name, Object value)`
    `void` | `setXMLReporter(XMLReporter reporter)`
    `void` | `setXMLResolver(XMLResolver resolver)`

    - ### Methods inherited from class javax.xml.stream.XMLInputFactory

      `createFilteredReader, createXMLEventReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLInputFactory

          public AbstractXMLInputFactory()

  - ### Method Detail

    - #### createXMLStreamReader

          public XMLStreamReader createXMLStreamReader(Source source)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(Reader reader)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(String systemId,
                                                     Reader reader)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(Source source)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(InputStream stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(InputStream stream,
                                                     String encoding)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventReader

          public XMLEventReader createXMLEventReader(String systemId,
                                                     InputStream stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### createFilteredReader

          public XMLStreamReader createFilteredReader(XMLStreamReader reader,
                                                      StreamFilter filter)
                                               throws XMLStreamException

      Specified by:
        `createFilteredReader` in class `XMLInputFactory`
      Throws:
        `XMLStreamException`

    - #### getEventAllocator

          public XMLEventAllocator getEventAllocator()

      Specified by:
        `getEventAllocator` in class `XMLInputFactory`

    - #### setEventAllocator

          public void setEventAllocator(XMLEventAllocator allocator)

      Specified by:
        `setEventAllocator` in class `XMLInputFactory`

    - #### getXMLResolver

          public XMLResolver getXMLResolver()

      Specified by:
        `getXMLResolver` in class `XMLInputFactory`

    - #### setXMLResolver

          public void setXMLResolver(XMLResolver resolver)

      Specified by:
        `setXMLResolver` in class `XMLInputFactory`

    - #### getXMLReporter

          public XMLReporter getXMLReporter()

      Specified by:
        `getXMLReporter` in class `XMLInputFactory`

    - #### setXMLReporter

          public void setXMLReporter(XMLReporter reporter)

      Specified by:
        `setXMLReporter` in class `XMLInputFactory`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in class `XMLInputFactory`

    - #### getProperty

          public Object getProperty(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in class `XMLInputFactory`
      Throws:
        `IllegalArgumentException`

    - #### setProperty

          public void setProperty(String name,
                                  Object value)
                           throws IllegalArgumentException

      Specified by:
        `setProperty` in class `XMLInputFactory`
      Throws:
        `IllegalArgumentException`

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.